import request from "./request.js";
export default {
  baseURL: request.baseURL,
  // 上传文件
  upload: (data) => request.post("/api/common/upload", data),
  // 获取配置
  get_site: (data) => request.post("/api/index/get_site", data),
  // 首页数据
  get_index: (data) => request.post("/api/index/get_index", data),
  // 关于我们
  get_about: (data) => request.post("/api/index/get_about", data),
  // 关于我们-联系我们
  getCompany: (data) => request.post("/api/index/getCompany", data),
  // 产品中心-分类列表
  get_product_cate: (data) => request.post("/api/index/get_product_cate", data),
  // 产品中心-产品列表
  get_product: (data) => request.post("/api/index/get_product", data),
  // 产品中心-产品详情
  get_product_detail: (data) =>
    request.post("/api/index/get_product_detail", data),
  // 新闻资讯-资讯列表
  get_news: (data) => request.post("/api/index/get_news", data),
  // 新闻资讯-资讯详情
  get_news_detail: (data) => request.post("/api/index/get_news_detail", data),
  // 加入我们-职位列表
  get_position: (data) => request.post("/api/index/get_position", data),
  // 加入我们-申请职位
  create_position: (data) => request.post("/api/index/create_position", data),
  // 联系我们-留言
  create_message: (data) => request.post("/api/index/create_message", data),
};
